Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-9862

Selenium Grid does not work latest version of Firefox

    Details

    • Type: Bug
    • Status: Closed (View Workflow)
    • Priority: Critical
    • Resolution: Fixed
    • Component/s: selenium-plugin
    • Labels:
      None
    • Environment:
      Windows 2003 SP2
    • Similar Issues:

      Description

      When I upgrade to latest version of FF (currently 4.0.1), Selenium Tests refuse to drive the browser. If I downgrade to FF3.5.x Selenium tests work again.

        Attachments

          Activity

          Hide
          apgray Andrew Gray added a comment -

          Make that Firefox 7

          Show
          apgray Andrew Gray added a comment - Make that Firefox 7
          Hide
          darkrift Richard Lavoie added a comment -

          current plugin version is now using Grid v2 and includes selenium v2.15 which has support up to FF 8 or 9

          Show
          darkrift Richard Lavoie added a comment - current plugin version is now using Grid v2 and includes selenium v2.15 which has support up to FF 8 or 9
          Hide
          apgray Andrew Gray added a comment -

          Thanks Richard,

          As you are probably aware Firefox just ticked over to release 10.0.

          Does selenium v2.15 support Firefox 10.0 or is it only 9.0.1?

          Regards,

          Andrew

          Show
          apgray Andrew Gray added a comment - Thanks Richard, As you are probably aware Firefox just ticked over to release 10.0. Does selenium v2.15 support Firefox 10.0 or is it only 9.0.1? Regards, Andrew
          Hide
          darkrift Richard Lavoie added a comment -

          After looking at the change logs of selenium, it seems FF 10 (native events) is only fully integrated starting from 2,19 (not out yet, but will be in a few days). Also, FF 9 is fully integrated only starting to 2.16 (native events).

          http://selenium.googlecode.com/svn/trunk/java/CHANGELOG

          Are you still seeing the issue with FF 4 ?

          Also, I'm currently working on a fork of the selenium plugin and I need some peoples to try it out in a real environment. Do you wan to be a tester ? I could integrate the latest selenium version until I add the option to download the latest version from the selenium website.

          Show
          darkrift Richard Lavoie added a comment - After looking at the change logs of selenium, it seems FF 10 (native events) is only fully integrated starting from 2,19 (not out yet, but will be in a few days). Also, FF 9 is fully integrated only starting to 2.16 (native events). http://selenium.googlecode.com/svn/trunk/java/CHANGELOG Are you still seeing the issue with FF 4 ? Also, I'm currently working on a fork of the selenium plugin and I need some peoples to try it out in a real environment. Do you wan to be a tester ? I could integrate the latest selenium version until I add the option to download the latest version from the selenium website.
          Hide
          apgray Andrew Gray added a comment -

          Hi Richard,

          Last weekend I upgraded to FF10.0.1 and using:

          The latest released version of the Selenium plugin; and
          Jenkins 1.450

          I eventually got the c# syntax correct for my Selenium 2 WebDriver tests.

          You can probably close this issue.

          Show
          apgray Andrew Gray added a comment - Hi Richard, Last weekend I upgraded to FF10.0.1 and using: The latest released version of the Selenium plugin; and Jenkins 1.450 I eventually got the c# syntax correct for my Selenium 2 WebDriver tests. You can probably close this issue.

            People

            • Assignee:
              darkrift Richard Lavoie
              Reporter:
              apgray Andrew Gray
            • Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: